%define section		free
%define grname		excalibur
%define usname		datasource

Name:		%{grname}-%{usname}
Version:	2.1
Release:	1jpp
Epoch:		0
Summary:	Excalibur's Datasource component
License:	Apache Software License 2.0
Url:		http://excalibur.apache.org/
Group:		Development/Libraries/Application Frameworks
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://www.apache.org/dist/excalibur/excalibur-datasource/source/excalibur-datasource-2.1-src.tar.gz
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        excalibur-datasource-2.1-jpp-depmap.xml
Source6:        excalibur-buildsystem.tar.gz
Source7:        excalibur-components-project-common.xml
Patch0:         excalibur-datasource-2.1-project_xml.patch
BuildRequires:	maven
BuildRequires:	junit
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:	ant >= 0:1.6
BuildRequires:	saxon, saxon-scripts
BuildRequires:	jakarta-commons-collections
BuildRequires:	concurrent
BuildRequires:	excalibur-avalon-framework-api
BuildRequires:	excalibur-avalon-framework-impl
BuildRequires:	excalibur-avalon-logkit
BuildRequires:	excalibur-component
BuildRequires:	excalibur-fortress-container-api
BuildRequires:	excalibur-fortress-meta
BuildRequires:	excalibur-instrument-api
BuildRequires:	excalibur-logger
BuildRequires:	excalibur-pool-api
BuildRequires:	excalibur-pool-impl
BuildRequires:	excalibur-pool-instrumented
BuildRequires:	excalibur-testcase
BuildRequires:	hsqldb
BuildRequires:	qdox

Requires:	jakarta-commons-collections
Requires:	concurrent
Requires:	excalibur-avalon-framework-api
Requires:	excalibur-avalon-framework-impl
Requires:	excalibur-avalon-logkit
Requires:	excalibur-component
Requires:	excalibur-fortress-container-api
Requires:	excalibur-fortress-meta
Requires:	excalibur-instrument-api
Requires:	excalibur-logger
Requires:	excalibur-pool-api
Requires:	excalibur-pool-impl
Requires:	excalibur-pool-instrumented
Requires:	excalibur-testcase
Requires:	hsqldb
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Avalon Excalibur's DataSource package allows you to 
manage pooled connections in one of two ways. You can 
have the package handle it for you, or you can use a 
J2EE server's DataSource management. It provides the 
same kind of access regardless of which method you 
choose -- since they are obtained through Avalon's 
Component Manager infrastructure. The DataSource package 
requires that you load the necessary driver classes at 
init time, but it will take care of all necessary issues 
from there.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
gzip -dc %{SOURCE6} | tar xf -
mkdir components
cp %{SOURCE7} components/project-common.xml

%patch0 -b .sav

%build
export DEPCAT=$(pwd)/excalibur-datasource-2.1-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > excalibur-datasource-2.1-depmap.new.xml
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

rm -rf .maven/repository/maven/jars
mkdir -p .maven/repository/maven/jars
build-jar-repository .maven/repository/maven/jars maven-jelly-tags

rm -rf .maven/repository/JPP/jars
mkdir -p .maven/repository/JPP/jars
build-jar-repository -s -p .maven/repository/JPP/jars \
commons-collections \
concurrent \
excalibur/avalon-framework-api \
excalibur/avalon-framework-impl \
excalibur/avalon-logkit \
excalibur/excalibur-component \
excalibur/excalibur-fortress-container-api \
excalibur/excalibur-fortress-meta \
excalibur/excalibur-instrument-api \
excalibur/excalibur-logger \
excalibur/excalibur-pool-api \
excalibur/excalibur-pool-impl \
excalibur/excalibur-pool-instrumented \
excalibur/excalibur-testcase \
hsqldb \
qdox \




export MAVEN_HOME_LOCAL=$(pwd)/.maven

maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar javadoc


%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{grname}
install -m 644 \
target/%{name}-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{grname}/%{name}-%{version}.jar

# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{grname} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi


%files 
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{grname}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%changelog
* Wed Sep 07 2005 Ralph Apel <r.apel at r-apel.de> 0:2.1-1jpp
- First build from this codebase
